cancel
Showing results for 
Search instead for 
Did you mean: 

SG with Mixed Clusters

SOLVED
Go to solution
Jose_C_Moraes
Super Advisor

SG with Mixed Clusters

Hi everybody.

I would like to know if it is possible to create a conf of SG with a node hpux 11.31 and the other node hpux 11.11, both of them PA-RISC. Is this conf possible and supported by HP ?

TIA, best regards
Jose
3 REPLIES
Olivier Masse
Honored Contributor

Re: SG with Mixed Clusters

Being supported and making it work are two things, but with mission-critical my take is that you should be supported.

I couldn't find confirmation but it might be possible if you use the older 11.17 which is compatible with 11iv1 and 11iv3, but 11.17 is EOL and it will probably not be supported for long.

Another problem is that you'll be in a rolling upgrade situation, which is supported, but I doubt HP will actually support you if you intend to stay like that for longer than the time required to perform an upgrade. I'm not even sure you can actually bootstrap an initial cluster with mixed OS versions; you might have to create it with both nodes at 11.11 then upgrade one to 11.31... and then only update-ux is supported, no cold installs, so you'll probably have to move from 11.11 to 11.23, then 11.31. This is a lot of trouble and I advise you to consider having both nodes at 11.31.

Good luck
Duncan Edmonstone
Honored Contributor
Solution

Re: SG with Mixed Clusters

Jose,

For general operation? No this sort of configuration is most definately not supported (there is no version of Serviceguard that runs on both 11.11 and 11.31 - Olivier was incorrect in stating that 11.17 is supported on 11.11. The last version supported on 11.11 is 11.16. The first version of Serviceguard for 11.31 is 11.17).

As part of a rolling upgrade its possible for a short time to have nodes on different OS releases and different versions of Serviceguard, but even then the only supported combinations for the 11.17/11.18 and 11.19 versions of Serviceguard which will run on 11.31 are with versions running on 11.23, not 11.11.

So in summary what you are specifically asking is not possible, but it is possible to have say 11.16 on 11.23 and v11.17 on 11.31 for a *short* period of time during a rolling upgrade. Supported combinations during rolling upgrades are described in the release notes.

HTH

Duncan

HTH

Duncan
Jose_C_Moraes
Super Advisor

Re: SG with Mixed Clusters

Thanks to both of you.

Regards